opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cv::BackgroundSubtractor Class Reference

`#include <background_segm.hpp>`

Inheritance diagram for cv::BackgroundSubtractor:

## Public Member Functions
| CV_WRAP_AS (apply) virtual void operator()(const Mat &image
| the update operator that takes the next video frame and returns the current foreground mask as 8-bit binary image.
virtual | ~BackgroundSubtractor ()
| the virtual destructor

## Public Attributes
CV_OUT Mat & | fgmask
CV_OUT Mat double | learningRate =0)

## Detailed Description

The Base Class for Background/Foreground Segmentation

The class is only used to define the common interface for the whole family of background/foreground segmentation algorithms.

## Constructor & Destructor Documentation

virtual cv::BackgroundSubtractor::~BackgroundSubtractor | ( |  | ) |
| virtual

the virtual destructor

## Member Function Documentation

cv::BackgroundSubtractor::CV_WRAP_AS | ( | apply |  | ) | const

the update operator that takes the next video frame and returns the current foreground mask as 8-bit binary image.

## Member Data Documentation

CV_OUT Mat& cv::BackgroundSubtractor::fgmask

CV_OUT Mat double cv::BackgroundSubtractor::learningRate =0)

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/video/include/opencv2/video/background_segm.hpp